Bug 77249 - Get rid of TransformOperationList
: Get rid of TransformOperationList
Status: RESOLVED FIXED
: WebKit
Layout and Rendering
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-01-27 15:08 PST by
Modified: 2012-01-30 16:03 PST (History)


Attachments
Patch (10.54 KB, patch)
2012-01-27 15:29 PST, Chris Marrin
no flags Review Patch | Details | Formatted Diff | Diff
Patch adding fix for TextureMapper (13.41 KB, patch)
2012-01-27 16:17 PST, Chris Marrin
no flags Review Patch | Details | Formatted Diff | Diff
Patch (15.59 KB, patch)
2012-01-27 16:46 PST, Chris Marrin
no flags Review Patch | Details | Formatted Diff | Diff
Patch (16.08 KB, patch)
2012-01-27 17:43 PST, Chris Marrin
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-01-27 15:08:55 PST
This is a list generated by the GraphicsLayer::fetchTransformOperationList function. The real purpose of this function is to validate the transform operation lists in a keyframe animation. But it also generates a list of the operations themselves. The thing is, this list is already in the keyframes themselves. So it is not really needed and it will make it harder to add support for Filter animations.
------- Comment #1 From 2012-01-27 15:29:33 PST -------
Created an attachment (id=124382) [details]
Patch
------- Comment #2 From 2012-01-27 15:35:26 PST -------
TextureMapper uses fetchTransformOperationList, so it also needs to be changed.

(In reply to comment #1)
> Created an attachment (id=124382) [details] [details]
> Patch
------- Comment #3 From 2012-01-27 15:46:11 PST -------
(From update of attachment 124382 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=124382&action=review

> Source/WebCore/platform/graphics/GraphicsLayer.h:431
> +    static int validateTransformOperations(const KeyframeValueList&, bool& hasBigRotation);

The patch looks fine but I wish the name of this function better explained what its return value was. indexOfOperationsThatMatch() or some such.
------- Comment #4 From 2012-01-27 16:17:03 PST -------
Created an attachment (id=124393) [details]
Patch
------- Comment #5 From 2012-01-27 16:46:49 PST -------
Created an attachment (id=124399) [details]
Patch
------- Comment #6 From 2012-01-27 16:53:59 PST -------
(In reply to comment #5)
> Created an attachment (id=124399) [details] [details]
> Patch

TextureMapper changes look good to me!
------- Comment #7 From 2012-01-27 17:16:53 PST -------
(From update of attachment 124399 [details])
Attachment 124399 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/11359234
------- Comment #8 From 2012-01-27 17:43:47 PST -------
Created an attachment (id=124408) [details]
Patch
------- Comment #9 From 2012-01-28 11:02:49 PST -------
Committed r106190: <http://trac.webkit.org/changeset/106190>
------- Comment #10 From 2012-01-30 16:03:42 PST -------
(From update of attachment 124408 [details])
Cleared review? from attachment 124408 [details] so that this bug does not appear in http://webkit.org/pending-review.  If you would like this patch reviewed, please attach it to a new bug (or re-open this bug before marking it for review again).